# Class XmlProcessorFactoryJFace

java.lang.Object
org.eclipse.jface.internal.XmlProcessorFactoryJFace

public class XmlProcessorFactoryJFace extends Object
XML processing which prohibits external entities.

See Also:
  - RSPEC-2755

## Method Summary

Modifier and Type
Method
Description
`static DocumentBuilderFactory`
`createDocumentBuilderFactoryWithErrorOnDOCTYPE()`
Creates DocumentBuilderFactory which throws SAXParseException when detecting external entities.
`static DocumentBuilder`
`createDocumentBuilderWithErrorOnDOCTYPE()`
Creates DocumentBuilder which throws SAXParseException when detecting external entities.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createDocumentBuilderFactoryWithErrorOnDOCTYPE

public static DocumentBuilderFactory createDocumentBuilderFactoryWithErrorOnDOCTYPE()
Creates DocumentBuilderFactory which throws SAXParseException when detecting external entities. It's magnitudes faster to call `createDocumentBuilderWithErrorOnDOCTYPE()`.

Returns:
  javax.xml.parsers.DocumentBuilderFactory

### createDocumentBuilderWithErrorOnDOCTYPE

public static DocumentBuilder createDocumentBuilderWithErrorOnDOCTYPE() throws ParserConfigurationException
Creates DocumentBuilder which throws SAXParseException when detecting external entities. The builder is not thread safe.

Returns:
  javax.xml.parsers.DocumentBuilder
Throws:
  `ParserConfigurationException`